MetricSetControllerRestoreUndoFrame Method |
POST /MetricSet/RestoreUndoFrame/{id}
Restores the metric set to the given undo frame ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("RestoreUndoFrame")]
public HttpResponseMessage RestoreUndoFrame(
Guid id,
[FromBodyAttribute] long frameId,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("RestoreUndoFrame")>
Public Function RestoreUndoFrame (
id As Guid,
<FromBodyAttribute> frameId As Long,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"RestoreUndoFrame")]
HttpResponseMessage^ RestoreUndoFrame(
Guid id,
[FromBodyAttribute] long long frameId,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("RestoreUndoFrame")>]
member RestoreUndoFrame :
id : Guid *
[<FromBodyAttribute>] frameId : int64 *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the metric set to restore the undo frame to. - frameId
- Type: SystemInt64
The ID of the undo frame to restore to. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessage
A
MetricSetData object containing the updated data cube data, or a status code indicating the problem.
See Also